%define name killustrator
%define version 0.7.1
%define release 3mdk
%define prefix /usr

Summary: %{name} - a vector graphics application for KDE.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp://ftp.kde.org/pub/kde/stable/1.1.1/apps/utils/%{name}-%{version}.tar.bz2
Copyright: GPL
Group: Graphics
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Requires: kdebase qt >= 1.44

%description
KIllustrator is a vector drawing program for the K Desktop
Environment. The aim of the KIllustrator project is the development of
a freely available vector-based drawing application similiar to Corel
Draw or Adobe Illustrator. I have started this project because I am
tired of switching to Windows in order to design illustrations for
papers or slides with a modern drawing tool. Now, for the Linux
operating system and of course for other Unixes the Qt toolkit and the
KDE project provide a perfect foundation for this kind of application.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
  ./configure --with-install-root=$RPM_BUILD_ROOT/
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/%{prefix} install

if [ -e $RPM_BUILD_ROOT/%{prefix}/share/doc ]; then
  mkdir -p $RPM_BUILD_ROOT/%{prefix}/doc
  mv $RPM_BUILD_ROOT/%{prefix}/share/doc $RPM_BUILD_ROOT/%{prefix}/doc/kde
fi

rm -rf $RPM_BUILD_ROOT/%{prefix}/share/applnk
mkdir -p $RPM_BUILD_ROOT/%{prefix}/lib/menu
cat <<EOF >$RPM_BUILD_ROOT/%{prefix}/lib/menu/%{name}
?package(%{name}):command="killustrator" \
		  icon="killustrator.xpm" \
		  needs="x11" \
		  section="Multimedia/Graphics" \
		  title="KIllustrator" \
		  longtitle="KIllustrator (vector drawing program)"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x /usr/bin/update-menus ]; then
	/usr/bin/update-menus
fi

%postun
if [ "$1" = 0 ]; then
	if [ -x /usr/bin/update-menus ]; then
		/usr/bin/update-menus
	fi
fi

%files
%defattr(-,root,root,0755)
%docdir /usr/doc/kde
%{prefix}/doc/kde/HTML/*/killustrator
%{prefix}/bin/killustrator
%{prefix}/share/apps/killustrator
%{prefix}/share/icons/killustrator*
%{prefix}/share/icons/locolor/killustrator*
%{prefix}/share/icons/mini/killustrator*
%{prefix}/share/locale/*/LC_MESSAGES/killustrator.mo
%{prefix}/share/mimelnk/application/x-killustrator.kdelnk
%{prefix}/lib/menu/killustrator

%changelog
* Tue Apr 11 2000 Franois Pons <fpons@mandrakesoft.com> 0.7.1-3mdk
- updated spec file and removed file list.
- corrected icon filename.

* Fri Mar 31 2000 Franois Pons <fpons@mandrakesoft.com> 0.7.1-2mdk
- updated Group.
- added menu entry.

* Tue Nov 23 1999 John Corey <jcorey@mandrakesoft.com>
- Rebuild with FHS-2.0 compliance
- Manually move documentation to /usr/doc/kde
- v0.7.1 build

* Wed Aug 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove the requirement of kdebase cvs.

* Sat Jul 17 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Rewriting the spec file.
- 0.6.5.

# end of file
